CREATE TABLE IF NOT EXISTS api_kgon_synchronization_history (
  id                BIGSERIAL PRIMARY KEY,
  item              TEXT NOT NULL,
  start_at          BIGINT NOT NULL,
  complete_at       BIGINT NOT NULL,
  code              BIGINT NOT NULL,
  message           TEXT,
  created_at        BIGINT NOT NULL DEFAULT (extract(epoch from now()) * 1000)
);

CREATE INDEX idx_api_kgon_synchronization_history_item ON api_kgon_synchronization_history (item);


-- trigger (synchronized_at)
CREATE TRIGGER tg_api_kgon_synchronization_history_synchronizations
  AFTER INSERT
  ON api_kgon_synchronization_history
  FOR EACH ROW
  EXECUTE PROCEDURE update_synchronizations();
