use serde::{Deserialize, Serialize};

pub struct Error {
  pub code: i64,
  pub msg: Option<String>,
}

pub struct FindTransactionsRequest {
  pub vendor_key: Option<String>,
  pub sdate: Option<String>,
  pub edate: Option<String>,
  pub group_key: Option<String>,
  pub username: Option<String>,
  pub limit: i64,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindTransactionsResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub transactions: Vec<String>,
}

pub struct FindPragmaticHistoryRequest {
  pub id: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindPragmaticHistoryResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub url: Option<String>,
}

pub struct FindEvolutionTransactionDetailRequest {
  pub ids: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindEvolutionTransactionDetailResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub transactions: Vec<String>,
}

pub struct FindStatisticRequest {
  pub vendor_key: Option<String>,
  pub group_key: Option<String>,
  pub date: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindStatisticResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub data: Option<String>,
}
