use serde::{Deserialize, Serialize};

pub struct GetBalanceForUserRequest {
  pub username: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForUserResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: i64,
  pub balance_bota: i64,
  pub balance_sum: i64,
  pub companies: i64,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForUserResponse {
  pub balance: i64,
  pub balance_bota: i64,
  pub balance_sum: i64,
  pub companies: i64,
}

pub struct GetBalanceForPartnerRequest {}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForPartnerResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: i64,
  pub balance_bota: i64,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForPartnerResponse {
  pub balance: i64,
  pub balance_bota: i64,
}

pub struct SaveDepositRequest {
  pub username: String,
  pub cash_type: Option<String>,
  pub amount: i64,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveDepositResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: i64,
}

pub struct SaveWithdrawRequest {
  pub username: String,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveWithdrawResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: i64,
  pub balance_cash: i64,
  pub balance_cash_bota: i64,
  pub amount: i64,
}
